Bug 633035 - [RFE] Exception handling clean-up
[RFE] Exception handling clean-up
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Ayal Baron
yeylon@redhat.com
: CodeChange, FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-12 10:58 EDT by Saggi Mizrahi
Modified: 2016-04-18 02:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-24 03:25:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saggi Mizrahi 2010-09-12 10:58:30 EDT
Description of problem:
There are places where we catch Exception where we really mean to catch generic exceptions. This should be change to only catch expected exceptions. That way when an unexpected exception is thrown we can quickly tell what is the problem.

In cases where we need to clean up in any case. Don't mask the exception, Reraise after cleanup.

String exceptions are illegal in 2.6 thus we can get rid of all the empty excepts. Places that catch Exception and empty should be mended to only catch Exception.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.